/**
 * Plugin to inject a data-lang attribute for Expressive Code.
 *
 * Adds the language of the code block as a attribute to the rendered code block's frame (a `<figure>` element).
 * @example
 * Given the following code block:
 * ```js
 * console.log('Hello, World!');
 * ```
 *
 * The rendered code block will look like this:
 * ```html
 * <div class="expressive-code">
 *   <figure class="frame" data-lang="js">
 *     ...
 *   </figure>
 * </div>
 *
 * @returns {import('expressive-code').ExpressiveCodePlugin}
 */
export function pluginDataLang(): import('expressive-code').ExpressiveCodePlugin;
export default pluginDataLang;
//# sourceMappingURL=plugin.d.ts.map